> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update event properties



## OpenAPI

````yaml /api/customer-chat/v3.6/openapi.json post /action/update_event_properties
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/update_event_properties:
    post:
      tags:
        - Properties
      summary: Update event properties
      operationId: update-event-properties
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEventPropertiesRequest'
            example:
              chat_id: Q1GZ3FNAT9
              thread_id: Q1GZ3FNAU9
              event_id: Q1GZ3FNAU9_1
              properties:
                0805e283233042b37f460ed8fbf22160:
                  string_property: Event property value updated by Customer
      responses:
        '200':
          description: Properties updated.
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    UpdateEventPropertiesRequest:
      type: object
      required:
        - chat_id
        - thread_id
        - event_id
        - properties
      properties:
        chat_id:
          type: string
          description: The ID of the chat you want to set properties for.
        thread_id:
          type: string
          description: The ID of the thread you want to set properties for.
        event_id:
          type: string
          description: The ID of the event you want to set properties for.
        properties:
          $ref: '#/components/schemas/Properties'
          description: The event properties to set.
    Properties:
      type: object
      additionalProperties: true
      description: Properties object.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````